<?php
/**
 * @version		1.6.0
 * @package		Joomla
 * @subpackage	EDocman
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011-2014 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
defined('_JEXEC') or die();

class EDocmanViewCategoriesHtml extends OSViewHtml
{

	function display()
	{
		$model = $this->getModel();
		$state = $model->getState();
		if ($state->id && !EDocmanHelper::canAccessCategory($state->id))
		{
			JFactory::getApplication()->redirect('index.php', JText::_('EDOCMAN_INVALID_CATEGORY'));
			return;
		}
		if ($state->id)
		{
			$document = JFactory::getDocument();
			$category = EDocmanHelper::getCategory($state->id);
			if ($category->metakey)
			{
				$document->setMetaData('keywords', $category->metakey);
			}
			if ($category->metadesc)
			{
				$document->setMetaData('description', $category->metadesc);
			}
			$this->category = $category;
			$document->setTitle($category->title . ' - ' . JFactory::getConfig()->get('sitename'));
		}
		$config = EDocmanHelper::getConfig();
		$items = $model->getData();
		if ($config->process_plugin && count($items))
		{
			foreach ($items as $item)
			{
				$item->description = JHtml::_('content.prepare', $item->description);
			}
		}	
		$this->config = $config;
		$this->items = $items;
		$this->pagination = $model->getPagination();
		$this->categoryId = $state->id;
		
		parent::display();
	}
}